Subject: Re: [bug#74736] [PATCH v6] Add Request-for-Comments process.

From: Simon Tournier <[email-masked]>
Date: Wed, 15 Jan 2025 20:12:01 +0100

Hi,

On Fri, 10 Jan 2025 at 14:17, Janneke Nieuwenhuizen <[email-masked]> wrote:

>> Ah you mean that the case of ’two authors’ does not require a Sponsor*,
>> right?
>
> Ah yes,
>
> Possibly I'm splitting hairs here too much.  But ISTM that having one
> author and one sponsor being enough, whereas in the situation where an
> early sponsor actually contributes to become a second author, they would
> now have to go look for a third person.  Dunno.

I don’t know either. :-)

Well, from my point of view, once the proposal is “Submitted”, it means
it had been qualified (2 authors or 1 author + 1 sponsor) and then it
does not matter much if the name appears as author or sponsor; or if
more people become author.

The essential is to have a fruitful “Discussion Period” and then to
cross the final line, IMHO.

> It's a puzzle indeed.  I was thinking: if "everyone involved" agrees it
> could be done/decided quicker, policy seems to prevent that.  Otoh, that
> protects the "why wasn't I consulted" problem.  So yeah.

Yeah, a balance. :-)

I think the process can be refined later if it does not match enough the
way we collaborate.  After all, the aim is to ease the important
decisions and not to add useless bureaucracy “à la française”. ;-)

Cheers,
simon